## sdop 0.61

=== src/Makefile ===
# Unix base make file for sdop.

# The normal targets in this Makefile are not called directly, but should be
# called from the top-level Makefile. To make it easy when developing from
# within the source directory, a call with no target gets passed back up to
# the outer Makefile, as does "make test".

intcall:;      cd ..; $(MAKE);
test:;         cd ..; $(MAKE) test;

# This is the main target

all:  buildhy hytest sdop

# Compile step for the modules

.SUFFIXES:  .o .c
.c.o:;  @echo "$(CC) $*.c"
	       $(FE)$(CC) -c $(CFLAGS) \
		 -DDATADIR='"$(DATADIR)"' \
		 -DSUPPORT_JPEG=$(SUPPORT_JPEG) \
		 -DSUPPORT_PNG=$(SUPPORT_PNG) \
		 $*.c

# List of general dependencies

DEP = ../Makefile Makefile sdop.h structs.h functions.h globals.h mytypes.h \
      ucp.h

# Object module list for sdop

SDOBJ = book.o datatables.o debug.o entity.o error.o font.o footnote.o \
        globals.o hyphen.o index.o jpeg.o misc.o object.o number.o page.o \
        para.o pin.o png.o preface.o read.o ref.o revision.o sdop.o sys.o \
        table.o toc.o tree.o ucd.o url.o utf8tables.o write.o

# Link steps for the programs

sdop:          $(SDOBJ)
	       @echo "$(CC) -o sdop"
	       $(FE)$(CC) $(LDFLAGS) $(LIBS) $(EFENCE) -o sdop $(SDOBJ)
	       @echo ">>> sdop command built"; echo ""

buildhy:       buildhy.o
	       @echo "$(CC) -o buildhy"
	       $(FE)$(CC) $(LFLAGS) -o buildhy buildhy.o
	       @echo ">>> buildhy command built"; echo ""

hytest:        hytest.o
	       @echo "$(CC) -o hytest"
	       $(FE)$(CC) $(LFLAGS) -o hytest hytest.o
	       @echo ">>> hytest command built"; echo ""

# Dependencies

book.o:        $(DEP) book.c
buildhy.o:     $(DEP) buildhy.c
datatables.o:  $(DEP) datatables.c
debug.o:       $(DEP) debug.c
entity.o:      $(DEP) entity.c
error.o:       $(DEP) error.c
font.o:        $(DEP) font.c
footnote.o:    $(DEP) footnote.c
globals.o:     $(DEP) globals.c
hyphen.o:      $(DEP) hyphen.c
hytest.o:      $(DEP) hytest.c
index.o:       $(DEP) index.c
jpeg.o:        $(DEP) jpeg.c
misc.o:        $(DEP) misc.c
number.o:      $(DEP) number.c
object.o:      $(DEP) object.c
page.o:        $(DEP) page.c
para.o:        $(DEP) para.c
pin.o:         $(DEP) pin.c
png.o:         $(DEP) png.c
preface.o:     $(DEP) preface.c
read.o:        $(DEP) read.c
ref.o:         $(DEP) ref.c
revision.o:    $(DEP) revision.c
sdop.o:        $(DEP) sdop.c
sys.o:         $(DEP) sys.c
table.o:       $(DEP) table.c
toc.o:         $(DEP) toc.c
tree.o:        $(DEP) tree.c
ucd.o:         $(DEP) ucd.c
url.o:         $(DEP) url.c
utf8tables.o:  $(DEP) utf8tables.c
write.o:       $(DEP) write.c

# Clean up etc

clean:;       /bin/rm -f *.o sdop buildhy hytest

# End

=== debian/changelog ===
sdop (0.61-4) unstable; urgency=low

  * Regenerate testing/infiles/*jpg with
    convert -quality 100 $i `basename $i jpg`tga
    followed by
    cjpeg -targa -quality 85 -optimize -dct float -sample 1x1 $i 
        >  `basename $i tga`jpg
    This way the testsuite output is identical for libjpeg62 and libjpeg8.
    (Thank's Bill Allombert)
    Update 31_updatejpeg8.diff. Add libjpeg62-dev as alternative
    build-dependency, allowing to build on lenny again.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Jan 2010 15:05:35 +0100

sdop (0.61-3) unstable; urgency=low

  * Update testsuite for libjpeg8. Bump build-depends. Closes: #565921

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Jan 2010 15:43:27 +0100

sdop (0.61-2) unstable; urgency=low

  * Use v3 format.
  * 30_testsuiteexitonerror.diff: Die on testsuite error unless connected to a
    tty. Closes: #546339
  * Register documentation with docbook.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Jan 2010 14:48:47 +0100

sdop (0.61-1) unstable; urgency=low

  * New upstream version.
    + No more need for .dfsg versioning, changes applied upstream.
    + Copy contents of share/fontmetrics/LICENCE to debian/copyright.
    + Add build-depends on libpng12-dev.
  * Convert to quilt.
  * Improve description. Thanks, Hendrik Sattler.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Aug 2009 15:28:52 +0200

sdop (0.52.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #533872)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Jun 2009 09:06:42 +0200

=== debian/control ===
Source: sdop
Section: text
Priority: extra
Maintainer: Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libjpeg8-dev | libjpeg62-dev, libpng12-dev
Standards-Version: 3.8.4

Package: sdop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simplified DocBook Processor
 SDoP (Simple DocBook Processor) reads a Simplified DocBook XML file, processes
 it into typeset pages, and outputs the result as PostScript (which can easily
 be converted to a PDF). It is "simple" because it supports only a subset of
 DocBook, and also because it does not make use of a DTD or stylesheets or any
 other heavyweight apparatus. It is a single program.  SDoP is used to format
 the Exim reference manual.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp: config.status 
	dh_testdir

	$(MAKE)
	cp -v debian/*jpg  testing/infiles/
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	$(MAKE) test
endif

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean testing/infiles/jpeg.jpg  testing/infiles/jpeg2.jpg

install: build
	dh_testdir
	dh_testroot
	dh_prep  

	$(MAKE) DESTDIR=$(CURDIR)/debian/sdop install
	rm $(CURDIR)/debian/sdop/usr/share/sdop/fontmetrics/LICENCE


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sdop 0.63

=== debian/changelog ===
sdop (0.63-2) unstable; urgency=low

  * Update patch tagging, all of them have been forwarded upstream.
  * Sync with Ubuntu, by adding 40_fix_src_Makefile.diff.
    (Thank you, Michael Bienia, for the rationale.)
    - Move $(LIBS) to the end of the linker commandline.
    - Fix two typos (s/LFLAGS/LDFLAGS/)
  * Invoke $(MAKE) with FULLECHO='' to get verbose compiling messages.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Nov 2010 17:38:37 +0100

sdop (0.63-1) unstable; urgency=low

  * New upstream version.
  * Drop 31_updatejpeg8.diff, stop replacing testsuite jpeg files, included
    upstream.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Nov 2010 17:44:53 +0100

## sdop 0.70

=== debian/changelog ===
sdop (0.70-1) unstable; urgency=low

  * New upstream version.
    + All debian patches applied, drop them.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Feb 2011 19:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, libjpeg8-dev | libjpeg62-dev, libpng12-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: sdop
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -32,10 +32,9 @@
 build-stamp: config.status 
 	dh_testdir
 
-	$(MAKE)
-	cp -v debian/*jpg  testing/infiles/
+	$(MAKE) FULLECHO=''
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-	$(MAKE) test
+	$(MAKE) FULLECHO='' test
 endif
 
 	touch $@
@@ -49,14 +48,14 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.sub config.guess
 
-	dh_clean testing/infiles/jpeg.jpg  testing/infiles/jpeg2.jpg
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep  
 
-	$(MAKE) DESTDIR=$(CURDIR)/debian/sdop install
+	$(MAKE) FULLECHO='' DESTDIR=$(CURDIR)/debian/sdop install
 	rm $(CURDIR)/debian/sdop/usr/share/sdop/fontmetrics/LICENCE

## sdop 0.71

=== debian/changelog ===
sdop (0.71-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 May 2012 17:55:07 +0200

sdop (0.70-2) unstable; urgency=low

  * b-d on libpng-dev instead of libpng12-dev. Closes: #662498
  * Use 'dpkg-buildflags --export=configure' to get hardening-flags. Add
    required b-d on  dpkg-dev (>= 1.16.1). Manually append generated CPPFLAGS
    to CFLAGS as CPPFLAGS is not used by Makefile.
  * Add build-arch and build-indep targets.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 05 Mar 2012 19:44:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-
-
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
@@ -24,10 +22,15 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info \
+		$(shell env DEB_CFLAGS_MAINT_APPEND=`dpkg-buildflags --get CPPFLAGS` dpkg-buildflags --export=configure)
 
 
 build: build-stamp
+build-arch: build-stamp
+build-indep:
+	#nothing to do
 
 build-stamp: config.status 
 	dh_testdir
@@ -86,4 +89,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep

## sdop 0.80

=== src/Makefile ===
--- 
+++ 
@@ -38,17 +38,17 @@
 
 sdop:          $(SDOBJ)
 	       @echo "$(CC) -o sdop"
-	       $(FE)$(CC) $(LDFLAGS) $(LIBS) $(EFENCE) -o sdop $(SDOBJ)
+	       $(FE)$(CC) $(LDFLAGS) $(EFENCE) -o sdop $(SDOBJ) $(LIBS)
 	       @echo ">>> sdop command built"; echo ""
 
 buildhy:       buildhy.o
 	       @echo "$(CC) -o buildhy"
-	       $(FE)$(CC) $(LFLAGS) -o buildhy buildhy.o
+	       $(FE)$(CC) $(LDFLAGS) -o buildhy buildhy.o
 	       @echo ">>> buildhy command built"; echo ""
 
 hytest:        hytest.o
 	       @echo "$(CC) -o hytest"
-	       $(FE)$(CC) $(LFLAGS) -o hytest hytest.o
+	       $(FE)$(CC) $(LDFLAGS) -o hytest hytest.o
 	       @echo ">>> hytest command built"; echo ""
 
 # Dependencies

=== debian/changelog ===
sdop (0.80-1) unstable; urgency=low

  * New upstream version.
  * Bump dh compat to v9, drop superfluous b-d on dpkg-dev (>= 1.16.1).
  * Use dh.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 09 Dec 2013 20:02:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: text
 Priority: extra
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, libjpeg8-dev | libjpeg62-dev, libpng12-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), autotools-dev, libjpeg8-dev | libjpeg62-dev,
+ libpng-dev
+Standards-Version: 3.9.4
 
 Package: sdop
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_build:
	$(MAKE) FULLECHO=''

override_dh_auto_test:
	$(MAKE) FULLECHO='' test

override_dh_auto_install:
	dh_auto_install -- FULLECHO='' 
	rm $(CURDIR)/debian/sdop/usr/share/sdop/fontmetrics/LICENCE

%:
	dh $@ --with autotools_dev

=== debian/watch ===
version=3
opts=pasv \
ftp://ftp.csx.cam.ac.uk/pub/software/wordprocessing/unix/sdop/sdop-([\d+\.]+\d+)\.tar.bz2 debian uupdate

## sdop 0.81

=== src/Makefile ===
--- 
+++ 
@@ -38,17 +38,17 @@
 
 sdop:          $(SDOBJ)
 	       @echo "$(CC) -o sdop"
-	       $(FE)$(CC) $(LDFLAGS) $(EFENCE) -o sdop $(SDOBJ) $(LIBS)
+	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o sdop $(SDOBJ) $(LIBS)
 	       @echo ">>> sdop command built"; echo ""
 
 buildhy:       buildhy.o
 	       @echo "$(CC) -o buildhy"
-	       $(FE)$(CC) $(LDFLAGS) -o buildhy buildhy.o
+	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o buildhy buildhy.o
 	       @echo ">>> buildhy command built"; echo ""
 
 hytest:        hytest.o
 	       @echo "$(CC) -o hytest"
-	       $(FE)$(CC) $(LDFLAGS) -o hytest hytest.o
+	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o hytest hytest.o
 	       @echo ">>> hytest command built"; echo ""
 
 # Dependencies

=== debian/changelog ===
sdop (0.81-1) unstable; urgency=low

  * New upstream version.
    + 20_typo_LFLAGS.diff: ./configure and the main Makefile set LDFLAGS but
      src/Makefile looked for LFLAGS.
    + 21_typo_specfied.diff Fix typo. (Thanks, lintian!)
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Oct 2018 16:31:03 +0200

sdop (0.80-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck. Closes: #883883

  [ Andreas Metzler ]
  * [lintian] Drop trailing whitespace in debian/rules and debian/changelog.
  * Sync priorities with override file (extra -> optional).
  * Build with hardening=+all.
  * Use debhelper v10 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Dec 2017 10:59:22 +0100

sdop (0.80-2) unstable; urgency=medium

  * Build with -Wall.
  * Use dh_autoreconf.
  * Use default jpeg library, build-depend on libjpeg-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Sep 2014 13:51:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sdop
 Section: text
-Priority: extra
+Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libjpeg8-dev | libjpeg62-dev,
+Build-Depends: debhelper (>= 10), libjpeg-dev,
  libpng-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 
 Package: sdop
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS) -Wall

override_dh_auto_build:
	dh_auto_build --verbose -- FULLECHO=''

override_dh_auto_test:
	dh_auto_test --verbose -- FULLECHO=''

override_dh_auto_install:
	dh_auto_install --verbose -- FULLECHO=''
	rm $(CURDIR)/debian/sdop/usr/share/sdop/fontmetrics/LICENCE

%:
	dh $@

## sdop 0.90

=== src/Makefile ===
--- 
+++ 
@@ -38,17 +38,17 @@
 
 sdop:          $(SDOBJ)
 	       @echo "$(CC) -o sdop"
-	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o sdop $(SDOBJ) $(LIBS)
+	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o sdop $(SDOBJ) $(LIBS)
 	       @echo ">>> sdop command built"; echo ""
 
 buildhy:       buildhy.o
 	       @echo "$(CC) -o buildhy"
-	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o buildhy buildhy.o
+	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o buildhy buildhy.o
 	       @echo ">>> buildhy command built"; echo ""
 
 hytest:        hytest.o
 	       @echo "$(CC) -o hytest"
-	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o hytest hytest.o
+	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o hytest hytest.o
 	       @echo ">>> hytest command built"; echo ""
 
 # Dependencies

=== debian/changelog ===
sdop (0.90-1) unstable; urgency=low

  * Fix watchfile.
  * New upstream version.
    + Drop patches 20_typo_LFLAGS.diff 21_typo_specfied.diff.
  * Use dh v13 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 30 Aug 2020 08:15:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 10), libjpeg-dev,
+Build-Depends: debhelper-compat (= 13), libjpeg-dev,
  libpng-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
 Package: sdop

## sdop 1.10

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Unix base make file for sdop.
+# Base Makefile for sdop.
 
 # The normal targets in this Makefile are not called directly, but should be
 # called from the top-level Makefile. To make it easy when developing from
@@ -10,7 +10,7 @@
 
 # This is the main target
 
-all:  buildhy hytest sdop
+all:  buildhy hytest sdop svgtest
 
 # Compile step for the modules
 
@@ -24,21 +24,21 @@
 
 # List of general dependencies
 
-DEP = ../Makefile Makefile sdop.h structs.h functions.h globals.h mytypes.h \
+DEP = ../Makefile Makefile functions.h globals.h mytypes.h sdop.h structs.h \
       ucp.h
 
 # Object module list for sdop
 
 SDOBJ = book.o datatables.o debug.o entity.o error.o font.o footnote.o \
-        globals.o hyphen.o index.o jpeg.o misc.o object.o number.o page.o \
-        para.o pin.o png.o preface.o read.o ref.o revision.o sdop.o sys.o \
+        globals.o hyphen.o index.o jpeg.o misc.o number.o object.o page.o \
+        para.o pin.o png.o preface.o read.o ref.o sdop.o svg.o sys.o \
         table.o toc.o tree.o ucd.o url.o utf8tables.o write.o
 
 # Link steps for the programs
 
 sdop:          $(SDOBJ)
 	       @echo "$(CC) -o sdop"
-	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o sdop $(SDOBJ) $(LIBS)
+	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o sdop $(SDOBJ) $(LIBS) -lm
 	       @echo ">>> sdop command built"; echo ""
 
 buildhy:       buildhy.o
@@ -50,6 +50,11 @@
 	       @echo "$(CC) -o hytest"
 	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o hytest hytest.o
 	       @echo ">>> hytest command built"; echo ""
+
+svgtest:       svgtest.o svg.o
+	       @echo "$(CC) -o svgtest"
+	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o svgtest svg.o svgtest.o -lm
+	       @echo ">>> svgtest command built"; echo ""
 
 # Dependencies
 
@@ -63,7 +68,7 @@
 footnote.o:    $(DEP) footnote.c
 globals.o:     $(DEP) globals.c
 hyphen.o:      $(DEP) hyphen.c
-hytest.o:      $(DEP) hytest.c
+hytest.o:      $(DEP) hytest.c hyphen.c ucd.c utf8tables.c ucp.h
 index.o:       $(DEP) index.c
 jpeg.o:        $(DEP) jpeg.c
 misc.o:        $(DEP) misc.c
@@ -76,8 +81,9 @@
 preface.o:     $(DEP) preface.c
 read.o:        $(DEP) read.c
 ref.o:         $(DEP) ref.c
-revision.o:    $(DEP) revision.c
 sdop.o:        $(DEP) sdop.c
+svg.o:         $(DEP) svg.c nanosvg.h
+svgtest.o:     $(DEP) svgtest.c svg.c nanosvg.h
 sys.o:         $(DEP) sys.c
 table.o:       $(DEP) table.c
 toc.o:         $(DEP) toc.c
@@ -87,8 +93,8 @@
 utf8tables.o:  $(DEP) utf8tables.c
 write.o:       $(DEP) write.c
 
-# Clean up etc
+# Clean up
 
-clean:;       /bin/rm -f *.o sdop buildhy hytest
+clean:;       /bin/rm -f *.o sdop buildhy hytest svgtest
 
 # End

=== debian/changelog ===
sdop (1.10-3) unstable; urgency=medium

  * Update to GIT head.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 12 Jul 2024 13:27:44 +0200

sdop (1.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Jun 2023 10:41:32 +0200

sdop (1.10-1) experimental; urgency=medium

  * New upstream version.
    + Drop all patches.
    + Update copyright info.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 May 2023 13:01:40 +0200

sdop (1.00-2) experimental; urgency=medium

  * 30_fix-dh_auto_clean.diff: Fix failure to build from source twice in a
    row. Closes: #1034080

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Apr 2023 15:19:00 +0200

sdop (1.00-1) experimental; urgency=medium

  * New upstream version.
  * 20_fix_man_install_path.diff: Fix manpath installation directory (was
    /usr/man).
  * Run wrap-and-sort -ast.
  * Point homepage field to new github site.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 24 Mar 2023 18:44:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Section: text
 Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 13), libjpeg-dev,
- libpng-dev
-Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ libjpeg-dev,
+ libpng-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Homepage: https://github.com/PhilipHazel/SDoP/
 
 Package: sdop
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Simplified DocBook Processor
  SDoP (Simple DocBook Processor) reads a Simplified DocBook XML file, processes
  it into typeset pages, and outputs the result as PostScript (which can easily

=== debian/watch ===
# Finds new version, but cannot download, since google drive uses a landing page
version=4
opts="searchmode=plain,downloadurlmangle=s/\">@PACKAGE@.*//;s/href=\"//" \
http://quercite.dx.am/ \
href="https?://.*@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
